#include <stddef.h>
#include <stdint.h>
#include <ulib.h>

extern void pctl_ls(void);
extern void pctl_kill(void);

void main(void) {
  if (argslen() == 0) {
    return;
  }

  char *cmd = args()[0];

  if (string_strcmp(cmd, "ls") == 0) {
    pctl_ls();
  } else if (string_strcmp(cmd, "kill") == 0) {
    pctl_kill();
  } else {
    uprintf("pctl: unknown command %s\n", cmd);
  }
}
